> For the complete documentation index, see [llms.txt](https://docs.specsolutions.eu/specsync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specsolutions.eu/specsync/reference/command-line-reference/re-link-command.md).

# re-link

Re-links scenarios (local test cases) to cloned Test Cases in Azure DevOps.

See more details about the command in the [Re-link scenarios to new Test Cases](/specsync/features/common-synchronization-features/re-link-scenarios.md) article.

## Options

In addition the the options listed here, all [common command line options](/specsync/reference/command-line-reference.md#common-command-line-options) can also be used.

| Option                                   | Description                                                                                                                                           | Default                             |
| ---------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| `--cloneOpId` \<CLONE‑OPERATION‑ID>      | The Id (e.g. `11`) of the Clone Operation the scenarios should be re-linked for.                                                                      | detect from Test Cases              |
| `---workItemClonesFile` \<CSV‑FILE‑PATH> | A path of a CSV file that contains additional Work Item clones to be processed in link tags. The file must have a \`source\` and a \`target\` column. | Work item link tags are not changed |

## Examples

Performs the re-link operation where SpecSync will detect the performed Clone Operation automatically from the Test Cases.

```
dotnet specsync re-link
```

Performs the re-link operation for a specific Code Operation ID `42`.

```
dotnet specsync re-link --cloneOpId 42
```

Performs the re-link operation in dry-run mode (no actual changes are made)

```
dotnet specsync re-link --dryRun
```

{% content-ref url="/pages/-LVwFCLgktB9AOsohdYl" %}
[Command line reference](/specsync/reference/command-line-reference.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/command-line-reference/re-link-command.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
